「Ruby」- 运行环境安装

  CREATED BY JENKINSBOT

内容简介

本文将介绍如何在CentOS上如何安装Ruby的最新版本,以及如何安装多个版本,还有多版本切换等等相关的内容。

已测试环境

CentOS Linux release 7.4.1708 (Core) 成功
CentOS release 6.10 (Final) 成功

需求概述

在CentOS 7.4上的Ruby是2.0版本,太旧了,需要安装新的版本。

相关内容

使用RVM – Ruby Version Manager工具,可以安装多个版本的Ruby环境,并可以在多个版本之间进行切换。

#1 安装依赖

#!/bin/sh

# 卸载原由的RUBY包。一来旧版可能没有必要,而来由于环境变量PATH的原因,导致加载的还是旧版。
yum remove ruby*

yum install gcc-c++ patch readline readline-devel zlib zlib-devel \
   libyaml-devel libffi-devel openssl-devel make \
   bzip2 autoconf automake libtool bison iconv-devel sqlite-devel

#2 安装RVM工具

#!/bin/sh

# 导入证书
curl -sSL https://rvm.io/mpapis.asc | gpg2 --import -
curl -sSL https://rvm.io/pkuczynski.asc | gpg2 --import -

# 安装RVM命令
curl -s -L get.rvm.io | bash -s stable

# 加载命令(或者重新登录)
source /etc/profile.d/rvm.sh
rvm reload

#3 检查依赖

#!/bin/sh

rvm requirements run

#4 安装Ruby环境并验证

#!/bin/sh

# 查看所有版本
rvm list known

# 安装特定版本
rvm install 2.6

# 查看所有已经安装的版本
rvm list

# 设置使用特定版本
rvm use 2.6 --default

# 验证当前版本
ruby --version

参考文献

How to Install Ruby on CentOS/RHEL 7/6